Bug 47121 - (ucs431updater) Adjust preup.sh / postup.sh for UCS 4.3-1
(ucs431updater)
Adjust preup.sh / postup.sh for UCS 4.3-1
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.3
All other
: P5 normal (vote)
: UCS 4.3-1
Assigned To: Erik Damrose
Felix Botner
https://hutten.knut.univention.de/med...
:
Depends on: 47125
Blocks: ucs431meta 47127
  Show dependency treegraph
 
Reported: 2018-06-04 10:59 CEST by Erik Damrose
Modified: 2018-06-12 13:11 CEST (History)
0 users

See Also:
What kind of report is it?: Release Management
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2018-06-04 10:59:03 CEST
pre- and postup.sh should be adjusted for UCS 4.3-1
Comment 1 Philipp Hahn univentionstaff 2018-06-06 16:51:26 CEST
[4.3-1] 61595488d6 Bug #47121 up: Adapt links and components for 4.3-1
 base/univention-updater/debian/changelog           |   6 ++
 .../debian/univention-updater.postinst             |   2 +-
 base/univention-updater/script/postup.sh           |  31 ++----
 base/univention-updater/script/preup.sh            | 117 +--------------------
 4 files changed, 16 insertions(+), 140 deletions(-)

Package: univention-updater
Version: 13.0.1-48A~4.3.0.201806061649
Branch: ucs_4.3-0
Scope: ucs4.3-1
Comment 2 Felix Botner univentionstaff 2018-06-11 10:40:15 CEST
please also from script/preup.sh:

 * # Bug #45968: let Postfix3 extension packages recreate /etc/postfix
   /dynamicmaps.cf with new format
 * # Bug 46066: disable memberOf for updates
 * check_kopano_repo
 * check_app_appliance

and postup:

 * # Bug 45328 (univention-app update/register)
 * # Bug #46270 (univention-directory-listener-ctrl resync portal ...)
 * /usr/share/univention-directory-manager-tools/univention-migrate-users-to-ucs4.3 >>"$UPDATER_LOG" 2>&1
Comment 3 Erik Damrose univentionstaff 2018-06-11 15:25:25 CEST
f73fc531 Adapt links and components for 4.3-1

univention-updater 13.0.1-49A~4.3.0.201806111521
Comment 4 Felix Botner univentionstaff 2018-06-11 16:17:35 CEST
OK - preup/postup
OK - univention-updater.postinst
OK - update
OK - changelog
Comment 5 Erik Damrose univentionstaff 2018-06-12 13:11:41 CEST
UCS 4.3-1 has been released.